- name: "Download latest go from backports"
  apt:
    name: "golang"
    state: "latest"
    default_release: "buster-backports"

- name: "Create directory for go sources"
  file:
   path: "/opt/compiler/go"
   state: directory
   owner: compiler
   group: compiler

- name: "Setup go crates from another role"
  include: "packages.yml"
  when: go_packages

- name: "Setup go crates from config"
  include: "packages.yml"
  vars:
    rust_packages: "{{ packages.go|default([]) }}"
  when: go_packages is not defined and packages.go
